/******************************************************************************
**
** RASP-MXからデータをUART経由で送信するAPIのヘッダ
**
** 2017.05.31 K.Takagi エラーコードを共通ヘッダに移行
** 2017.05.15 K.Takagi 各種関数を定義
**
**
*/

#ifndef __INCLUDE_MX_UART_SEND__
#define __INCLUDE_MX_UART_SEND__


#include <termios.h>

#include "mx_uart.h"


#ifdef __cplusplus
extern "C" {
#endif

int  InitMxUart(char *cfg_file);
void ClearMxUartData(int frame_count);
void SetMxUartTime(int frame_count, uint32 mx_sec, uint32 mx_usec);
void SetMxUartMusicData(int frame_count, int music_num, float *music_power);
void SetMxUartSrcData(int frame_count, int src_num, int *src_id, int *src_dir, float *src_power);
void SetMxUartSepWave(int frame_count, int advance, float *wav);
void SendMxUartData(int frame_count);
void UninitMxUart();
int  GetMxUartSepWaveEnable();

int UartRawSaveStart();
int UartRawSave(float *data, int ch_num, int save_samples, int wav_length);
int UartRawSaveStop();


#ifdef __cplusplus
}
#endif

#endif /* __INCLUDE_MX_UART_SEND__ */

/* EOF */

